Subject: bug#10977: detail from .xession-errors concerning .desktop extension of ~./emacs.desktop

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Mar 2012 20:39:46 -0500

>> I think the necessary change would be to make desktop-read set
>> desktop-dirname to user-emacs-directory if no existing desktop is found
>> in any of those three locations (and no DIRNAME arg was specified).

Agreed.

> Only in the case where "." = "~", I should have said.

Disagreed.  I would agree to special case the "."="~" in the sense of
ignoring "." from desktop-path when "." is "~" (so that
user-emacs-directory takes precedence over ~), but special casing it
when setting desktop-dirname doesn't seem to bring us anything.

        Stefan